# Creating a new Account Invitation

Adds a user to your account.

Any members added in excess of your contracted license count are billed at a prorated subscription fee for
the remainder of the billing term. To review your contracted license count,
in Kantata OX, hover over Settings in the left navigation and select Plan.

This endpoint has its own rate limit. See the Knowledge Base for more information.

Bulk Create

This endpoint supports bulk creating up to 50 objects. In the request body, set the top-level key to its plural
form and place the objects in an array. Example:


{
  "account_invitations": [
    {
      "email_address": "email@email.com",
      "full_name": "Full Name"
    },
    {
      "email_address": "email@email.com",
      "full_name": "Full Name"
    }
  ]
}



This endpoint returns structured Account Invitation objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the account_invitations top-level JSON key.
Please see our Response Format section for more information.

Endpoint: POST /account_invitations
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- default_role (Role) - The default role of the account.
- invitee (User) - The new user who will receive the invitation.
- inviter (User) - The user who has sent the invitation.

## Request fields (application/json):

  - `account_invitation` (object)

  - `account_invitation.email_address` (string, required)
    The email address of the invited user. A link to accept the invitation is sent to this address.

  - `account_invitation.full_name` (string, required)
    The full name of the invited user.

  - `account_invitation.billability_target` (integer)

  - `account_invitation.bill_rate_in_cents` (integer)
    The default billing rate, in cents, for the user in a workspace on this account (when the workspace
does not use a rate card). This attribute can only be set if the current user is either an Administrator
or a Project Lead on the account.

  - `account_invitation.cost_rate_in_cents` (integer)
    The default cost rate, in cents, for the user in a workspace on this account. This attribute can
only be set if the current user is an Administrator on the account.

  - `account_invitation.default_read_only` (boolean)
    The invited user should have read-only permissions.

  - `account_invitation.default_role_id` (integer)
    The internal ID for the default role specified to the invited user.

  - `account_invitation.headline` (string)

  - `account_invitation.permission` (string)
    The permission level of the invited user. See account_memberships for more details. Valid values
include administrator, reports_viewer_with_cost, reports_viewer, project_lead, project_creator, collaborator, and punch_clock.".

  - `account_invitation.external_reference` (object)
    Typically populated programmatically by a third party system via an integration, this is an optional
object that holds data from an external system. It connects objects in an external system with objects in
Kantata OX (for example, to connect a Jira issue to a Kantata OX Project).

  - `account_invitation.external_reference.service_name` (string, required)
    The provider name of the integration. If you are adding multiple external references to the same object, the service_name must be unique.

  - `account_invitation.external_reference.service_model` (string, required)
    The object type of the external object this external reference belongs to.

  - `account_invitation.external_reference.service_model_ref` (string, required)
    The object ID of the external object this external reference belongs to.

  - `account_invitation.external_reference.status` (string)
    The status of the integration. Options are successful, pending,  or failed.

  - `account_invitation.external_reference.external_message` (string)
    The message on the external object.

  - `account_invitation.external_reference.external_link` (string)
    The link to the external object.

  - `account_invitation.external_reference.external_status` (string)
    The status of the external object in the external system.

  - `account_invitation.external_reference.locked` (boolean)
    Whether the subject is locked.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `account_invitations` (object)

  - `users` (object)

  - `roles` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


